<script setup>

import Swal from 'sweetalert2'
import 'sweetalert2/src/sweetalert2.scss'
import { computed } from 'vue'
import { usePage } from '@inertiajs/vue3'

const page = usePage()

// const flash = computed(() => page.props.flash.status)


function success(message) {
  Swal.fire({
    text: message,
    icon: 'success',
    timer: 2000,
    showConfirmButton: false,
  });
}

function warning(message) {
  Swal.fire({
    text: message,
    icon: 'warning',
    timer: 2000,
    showConfirmButton: false,
  });
}

function error(message) {
  Swal.fire({
    title: 'Error!',
    text: message,
    icon: 'error',
    timer: 2500,
    confirmButtonText: 'Cool'
  });

}

</script>

<template>
  <template v-if="$page.props.flash.status === 'success'">
    {{ success($page.props.flash.message) }}
  </template>

  <template v-if="$page.props.flash.status === 'warning'">
    {{ warning($page.props.flash.message) }}
  </template>
  <template v-if="$page.props.flash.status === 'error'">
    {{ warning($page.props.flash.message) }}
  </template>
</template>